

all:
	@echo Use one of the other targets.

reset:
	rm -f db.sqlite3
	find . -iname '*sw[po]' -print -delete
	find . -iname '__pycache__' -print -exec rm -r "{}" \;
	find . -iname 'migrations' -print -exec rm -r "{}" \;

setup-devel:
	./setup-devel

test:
	 ./manage.py test courses


migrations:
	source ../virtualenv/bin/activate
	./manage.py makemigrations  # check models for changes
	./manage.py migrate         # apply to database
